> ## Documentation Index
> Fetch the complete documentation index at: https://developers.ambersearch.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve model

> Retrieve details about a specific model by its identifier.

This endpoint allows you to get information about a particular model available.


<RequestExample>
  ```bash cURL theme={null}
  curl "https://customerDomain.ambersearch.de/api/beta/amberai/models/{model}" \
  -H "Authorization: Bearer ambrs-exampletoken"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://customerDomain.ambersearch.de/api/beta/amberai/models/{model}",
      headers = {
          "Authorization": "Bearer ambrs-exampletoken"
      }
  )
  print(response.json())
  ```

  ```javascript Javascript theme={null}
  const axios = require("axios");

  axios
      .get("https://customerDomain.ambersearch.de/api/beta/amberai/models/{model}", {
          headers: {
              Authorization: "Bearer ambrs-exampletoken",
          }
      })
      .then((res) => console.log(res.data));
  ```
</RequestExample>


## OpenAPI

````yaml get /api/beta/amberai/models/{model}
openapi: 3.1.0
info:
  title: amber
  version: v0.1.46
servers:
  - url: https://{customerDomain}.ambersearch.de
    variables:
      customerDomain:
        default: customerDomain
security: []
paths:
  /api/beta/amberai/models/{model}:
    get:
      tags:
        - openai
      summary: Retrieve Model
      description: Retrieve model
      operationId: retrieve_model_api_beta_amberai_models__model__get
      parameters:
        - name: model
          in: path
          required: true
          schema:
            type: string
            title: Model
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Model'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Bearer: []
components:
  schemas:
    Model:
      properties:
        id:
          type: string
          title: Id
        created:
          type: integer
          title: Created
          default: 0
        object:
          type: string
          title: Object
          default: model
        owned_by:
          type: string
          title: Owned By
          default: amberSearch
      type: object
      required:
        - id
      title: Model
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````